import { ScrollView, View, Image } from '@tarojs/components'
import { useEffect, useState } from 'react'

import Taro from '@tarojs/taro';
import more from '@/assets/more.png'
import noticeIcon from '@/assets/noticeIcon.png'
import { getBanner, getNoticeList } from '../../services/dogAPI'

import './style.less'

export default (props) => {
  const onClick = () => {
    Taro.navigateTo({ url: '/pages/noticeInfo/index' })
  }
  const [noticeList, setNoticeList] = useState([])

  useEffect(() => {
    getNoticeList({ pageSize: 5 }).then((res) => {
      setNoticeList(res.records)
    })

  }, [])
  const goDetail = (id) => {
    Taro.navigateTo({ url: `/pages/noticeInfo/index?id=${id}` })
  }


  return (
    <>
      <View className='noticeList'>
        {
          !noticeList.length <= 0 ?
            noticeList.map((item, index) => {
              return (
                <View key={index} className='notice-item-row' onClick={() => { goDetail(item.noticeId) }}>
                  <Image className='notice' src={noticeIcon} mode='aspectFit' />
                  <View className='notice-item-body'>
                    <View className='notice-item-title'>{item.title}</View>
                    <View className='notice-item-time'>{item.createDate}</View>
                  </View>
                  <Image className='action' src={more} mode='aspectFit' />
                </View>
              )
            })
            :
            <View style={{ textAlign: 'center', margin: '6vw 0 3vw 0', color: '#858585', fontSize: '12px' }}>
              暂无通知信息
            </View>
        }


      </View>
    </>
  )
}